#include "testlib.h"

using namespace std;

int main()
{
    registerValidation();

    const int infty = (int)1e+9;
    int c[8];
    for (int i = 0; i < 8; ++i) {
        if (i > 0) {
            inf.readSpace();
        }
        c[i] = inf.readInt(-infty, infty);
    }
    inf.readEoln();
    inf.readEof();

    return 0;
}
